package gateway

type (
	State struct {
		NumOfRequest int32 `json:"num_of_request"` //总请求次数
		Concurrency  int32 `json:"concurrency"`    //当前并发数
		InTraffic    int64 `json:"in_traffic"`     //读取流量
		OutTraffic   int64 `json:"out_traffic"`    //写入流量
	}
)

func (s *State) Reset() {
	s.OutTraffic = 0
	s.InTraffic = 0
	s.NumOfRequest = 0
	s.Concurrency = 0
}
